QuantLib: SpreadedHazardRateCurve Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
SpreadedHazardRateCurve Class Reference

Default-probability structure with an additive spread on hazard rates. More...

`#include <ql/experimental/credit/spreadedhazardratecurve.hpp>`

Inheritance diagram for SpreadedHazardRateCurve:
[legend]

## Public Member Functions
| SpreadedHazardRateCurve (const Handle< DefaultProbabilityTermStructure > &originalCurve, const Handle< Quote > &spread)
Public Member Functions inherited from HazardRateStructure
| HazardRateStructure (const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| HazardRateStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| HazardRateStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
Public Member Functions inherited from DefaultProbabilityTermStructure
| DefaultProbabilityTermStructure (const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| DefaultProbabilityTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| DefaultProbabilityTermStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
Probability | survivalProbability (const Date &d, bool extrapolate=false) const
Probability | survivalProbability (Time t, bool extrapolate=false) const
Probability | defaultProbability (const Date &d, bool extrapolate=false) const
Probability | defaultProbability (Time t, bool extrapolate=false) const
Probability | defaultProbability (const Date &, const Date &, bool extrapolate=false) const
| probability of default between two given dates
Probability | defaultProbability (Time, Time, bool extrapo=false) const
| probability of default between two given times
Real | defaultDensity (const Date &d, bool extrapolate=false) const
Real | defaultDensity (Time t, bool extrapolate=false) const
Rate | hazardRate (const Date &d, bool extrapolate=false) const
Rate | hazardRate (Time t, bool extrapolate=false) const
const std::vector< Date > & | jumpDates () const
const std::vector< Time > & | jumpTimes () const
void | update ()
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual | ~TermStructure ()
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Natural | settlementDays () const
| the settlementDays used for reference date calculation
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## DefaultProbabilityTermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values
Real | hazardRateImpl (Time t) const
| hazard rate calculation

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from HazardRateStructure
Probability | survivalProbabilityImpl (Time) const
Real | defaultDensityImpl (Time) const
| default density calculation
Protected Member Functions inherited from DefaultProbabilityTermStructure
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

Default-probability structure with an additive spread on hazard rates.

Note
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.